import { z } from 'zod';
import { CodeRabbitCommentDetails } from '../types.js';
import { GitHubClient } from '../github-client.js';
declare const GetCommentDetailsSchema: z.ZodObject<{
    owner: z.ZodString;
    repo: z.ZodString;
    commentId: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    owner: string;
    repo: string;
    commentId: number;
}, {
    owner: string;
    repo: string;
    commentId: number;
}>;
export type GetCommentDetailsInput = z.infer<typeof GetCommentDetailsSchema>;
/**
 * Get detailed information about a specific CodeRabbit comment
 */
export declare function getCommentDetails(input: GetCommentDetailsInput, githubClient: GitHubClient): Promise<CodeRabbitCommentDetails>;
export {};
//# sourceMappingURL=get-comment-details.d.ts.map