import { z } from 'zod';
import { CodeRabbitComment } from '../types.js';
import { GitHubClient } from '../github-client.js';
declare const GetReviewCommentsSchema: z.ZodObject<{
    owner: z.ZodString;
    repo: z.ZodString;
    pullNumber: z.ZodNumber;
    reviewId: z.ZodOptional<z.ZodNumber>;
}, "strip", z.ZodTypeAny, {
    owner: string;
    repo: string;
    pullNumber: number;
    reviewId?: number | undefined;
}, {
    owner: string;
    repo: string;
    pullNumber: number;
    reviewId?: number | undefined;
}>;
export type GetReviewCommentsInput = z.infer<typeof GetReviewCommentsSchema>;
/**
 * Get all CodeRabbit comments for a pull request or specific review
 */
export declare function getReviewComments(input: GetReviewCommentsInput, githubClient: GitHubClient): Promise<CodeRabbitComment[]>;
export {};
//# sourceMappingURL=get-comments.d.ts.map