import { z } from 'zod';
import { ParsedCodeRabbitContent } from '../types.js';
import { GitHubClient } from '../github-client.js';
declare const GetReviewDetailsSchema: z.ZodObject<{
    owner: z.ZodString;
    repo: z.ZodString;
    pullNumber: z.ZodNumber;
    reviewId: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    owner: string;
    repo: string;
    pullNumber: number;
    reviewId: number;
}, {
    owner: string;
    repo: string;
    pullNumber: number;
    reviewId: number;
}>;
export type GetReviewDetailsInput = z.infer<typeof GetReviewDetailsSchema>;
export interface CodeRabbitReviewDetails {
    id: number;
    submitted_at: string;
    html_url: string;
    state: string;
    commit_id: string;
    body: string;
    parsed_content: ParsedCodeRabbitContent;
    files_reviewed: string[];
    configuration_used: string;
    review_profile: string;
}
/**
 * Get detailed information about a specific CodeRabbit review
 */
export declare function getReviewDetails(input: GetReviewDetailsInput, githubClient: GitHubClient): Promise<CodeRabbitReviewDetails>;
export {};
//# sourceMappingURL=get-review-details.d.ts.map