import { z } from 'zod';
import { CodeRabbitReview } from '../types.js';
import { GitHubClient } from '../github-client.js';
declare const GetCoderabbitReviewsSchema: z.ZodObject<{
    owner: z.ZodString;
    repo: z.ZodString;
    pullNumber: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    owner: string;
    repo: string;
    pullNumber: number;
}, {
    owner: string;
    repo: string;
    pullNumber: number;
}>;
export type GetCoderabbitReviewsInput = z.infer<typeof GetCoderabbitReviewsSchema>;
/**
 * Get all CodeRabbit reviews for a specific pull request
 */
export declare function getCoderabbitReviews(input: GetCoderabbitReviewsInput, githubClient: GitHubClient): Promise<CodeRabbitReview[]>;
export {};
//# sourceMappingURL=get-reviews.d.ts.map